CLI
curl --request GET \
--url 'https://api.minimo.it/public/v1/whatsapp/conversations/1234/messages?page=1&pageSize=30' \
--header 'Authorization: Bearer {{BEARER_TOKEN}}'const res = await fetch('https://api.minimo.it/public/v1/whatsapp/conversations/1234/messages?page=1&pageSize=30', {
method: 'GET',
headers: {
'Authorization': 'Bearer {{BEARER_TOKEN}}',
},
});
const { data } = await res.json();
console.log(data);import requests
res = requests.get(
'https://api.minimo.it/public/v1/whatsapp/conversations/1234/messages?page=1&pageSize=30',
headers={'Authorization': 'Bearer {{BEARER_TOKEN}}'},
)
print(res.json())<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.minimo.it/public/v1/whatsapp/conversations/{chatId}/messages",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.minimo.it/public/v1/whatsapp/conversations/{chatId}/messages"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.minimo.it/public/v1/whatsapp/conversations/{chatId}/messages")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.minimo.it/public/v1/whatsapp/conversations/{chatId}/messages")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"data": [
{
"id": 99012,
"wamid": "wamid.HBgLM...",
"direction": "inbound",
"type": "text",
"text": "Do you ship to Sicily?",
"media": null,
"reaction": null,
"status": "received",
"senderName": "Mario Rossi",
"timestamp": 1794560400,
"timestampIso": "2026-11-13T09:00:00.000Z"
}
],
"pagination": {
"totalRecords": 58,
"currentPage": 1,
"totalPages": 2,
"nextPage": 2,
"prevPage": null
}
}
}{
"status": "FAIL",
"message": "<string>"
}Conversations
List Conversation Messages
The WhatsApp messages of one conversation, newest first
GET
/
public
/
v1
/
whatsapp
/
conversations
/
{chatId}
/
messages
CLI
curl --request GET \
--url 'https://api.minimo.it/public/v1/whatsapp/conversations/1234/messages?page=1&pageSize=30' \
--header 'Authorization: Bearer {{BEARER_TOKEN}}'const res = await fetch('https://api.minimo.it/public/v1/whatsapp/conversations/1234/messages?page=1&pageSize=30', {
method: 'GET',
headers: {
'Authorization': 'Bearer {{BEARER_TOKEN}}',
},
});
const { data } = await res.json();
console.log(data);import requests
res = requests.get(
'https://api.minimo.it/public/v1/whatsapp/conversations/1234/messages?page=1&pageSize=30',
headers={'Authorization': 'Bearer {{BEARER_TOKEN}}'},
)
print(res.json())<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.minimo.it/public/v1/whatsapp/conversations/{chatId}/messages",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.minimo.it/public/v1/whatsapp/conversations/{chatId}/messages"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.minimo.it/public/v1/whatsapp/conversations/{chatId}/messages")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.minimo.it/public/v1/whatsapp/conversations/{chatId}/messages")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"data": [
{
"id": 99012,
"wamid": "wamid.HBgLM...",
"direction": "inbound",
"type": "text",
"text": "Do you ship to Sicily?",
"media": null,
"reaction": null,
"status": "received",
"senderName": "Mario Rossi",
"timestamp": 1794560400,
"timestampIso": "2026-11-13T09:00:00.000Z"
}
],
"pagination": {
"totalRecords": 58,
"currentPage": 1,
"totalPages": 2,
"nextPage": 2,
"prevPage": null
}
}
}{
"status": "FAIL",
"message": "<string>"
}Only the WhatsApp messages of the conversation. A
chatId of another workspace answers 404, like a missing one.
Message fields
wamidis the WhatsApp message id: the same asmessage.wamidin webhook events.media.urlis a link to download the file of a stored message.statusis the delivery status (sent,received,failed, …).
data.data and the pages in data.pagination. pageSize is at most 100.